Package io.vertx.grpc.reflection.v1

## Class ServiceResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ServiceResponse.Builder>
      - - io.vertx.grpc.reflection.v1.ServiceResponse.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ServiceResponseOrBuilder`, `Cloneable`
  Enclosing class:
    ServiceResponse

      public static final class ServiceResponse.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ServiceResponse.Builder>
      implements ServiceResponseOrBuilder

       The information of a single service used by ListServiceResponse to answer
       list_services request.

  Protobuf type `grpc.reflection.v1.ServiceResponse`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServiceResponse` | `build()` |
    `ServiceResponse` | `buildPartial()` |
    `ServiceResponse.Builder` | `clear()` |
    `ServiceResponse.Builder` | `clearName()` | Full name of a registered service, including its package name.
    `ServiceResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `String` | `getName()` | Full name of a registered service, including its package name.
    `com.google.protobuf.ByteString` | `getNameBytes()` | Full name of a registered service, including its package name.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ServiceResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ServiceResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ServiceResponse.Builder` | `mergeFrom​(ServiceResponse other)` |
    `ServiceResponse.Builder` | `setName​(String value)` | Full name of a registered service, including its package name.
    `ServiceResponse.Builder` | `setNameBytes​(com.google.protobuf.ByteString value)` | Full name of a registered service, including its package name.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ServiceResponse.Builder>`

    - #### clear

          public ServiceResponse.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ServiceResponse.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ServiceResponse.Builder>`

    - #### getDefaultInstanceForType

          public ServiceResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ServiceResponse build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ServiceResponse buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ServiceResponse.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ServiceResponse.Builder>`

    - #### mergeFrom

          public ServiceResponse.Builder mergeFrom​(ServiceResponse other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ServiceResponse.Builder>`

    - #### mergeFrom

          public ServiceResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ServiceResponse.Builder>`
      Throws:
        `IOException`

    - #### getName

          public String getName()

           Full name of a registered service, including its package name. The format
           is <package>.<service>

      `string name = 1;`
      Specified by:
        `getName` in interface `ServiceResponseOrBuilder`
      Returns:
        The name.

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

           Full name of a registered service, including its package name. The format
           is <package>.<service>

      `string name = 1;`
      Specified by:
        `getNameBytes` in interface `ServiceResponseOrBuilder`
      Returns:
        The bytes for name.

    - #### setName

          public ServiceResponse.Builder setName​(String value)

           Full name of a registered service, including its package name. The format
           is <package>.<service>

      `string name = 1;`
      Parameters:
        `value` - The name to set.
      Returns:
        This builder for chaining.

    - #### clearName

          public ServiceResponse.Builder clearName()

           Full name of a registered service, including its package name. The format
           is <package>.<service>

      `string name = 1;`
      Returns:
        This builder for chaining.

    - #### setNameBytes

          public ServiceResponse.Builder setNameBytes​(com.google.protobuf.ByteString value)

           Full name of a registered service, including its package name. The format
           is <package>.<service>

      `string name = 1;`
      Parameters:
        `value` - The bytes for name to set.
      Returns:
        This builder for chaining.